#!/bin/bash

# 获取当前日期，格式为 YYYY-MM-DD
CURRENT_DATE=$(date +%F)

# 日志文件路径，包含日期
LOG_FILE="/root/luojunhui/logs/kimi_monitor_task_log_$CURRENT_DATE.txt"

# 重定向整个脚本的输出到带日期的日志文件
exec >> "$LOG_FILE" 2>&1

cd /root/luojunhui/LongArticlesJob
source /root/miniconda3/etc/profile.d/conda.sh
conda activate tasks

nohup python3 kimi_balance_monitor.py >> "${LOG_FILE}" 2>&1 &