"""
@author: luojunhui
"""
import requests


class AlgApi(object):
    """
    算法api
    """
    @classmethod
    def getScoreList(cls, accountName, title_list):
        """
        获取得分
        :return:
        """
        url = "http://61.48.133.26:6060/score_list"
        body = {
            "account_nickname_list": [accountName],
            "text_list": title_list,
            "max_time": None,
            "min_time": None,
            "interest_type": "avg",
            "sim_type": "mean",
            "rate": 0.1
        }
        response = requests.post(url=url, headers={}, json=body)
        return response.json()

